- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- ExistingLineItemList
- DeliveryForecastOptions
- DeliveryForecastResult
- LineItemDeliveryForecast
- Try it!
Runs a delivery simulation forecast for existing or prospective line items. A delivery forecast reports the number of units that will be delivered to each line item given the line item goals. The simulation considers contentions from other line items, including the other prospective line items in the request.
HTTP request
POST https://admanager.googleapis.com/v1/{parent}:runDeliveryForecast
Path parameters
| Parameters | |
|---|---|
parent |
Required. Format: |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "deliveryForecastOptions": { object ( |
| Fields | |
|---|---|
deliveryForecastOptions |
Required. The delivery forecast options. |
| The line items to be forecasted. Only one of the following fields can be set. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
existingLineItems |
Optional. The resource names of the |
| End of mutually exclusive fields. | |
Response body
Response object for [networks.runDeliveryForecast][] method.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"deliveryForecastResult": {
object ( |
| Fields | |
|---|---|
deliveryForecastResult |
The delivery forecast result. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/admanagerhttps://www.googleapis.com/auth/admanager.readonly
For more information, see the OAuth 2.0 Overview.
ExistingLineItemList
ExistingLineItemList is a wrapper around a repeated field of string representing a LineItem resource name.
| JSON representation |
|---|
{ "lineItems": [ string ] } |
| Fields | |
|---|---|
lineItems[] |
Required. The list of |
DeliveryForecastOptions
Forecasting options for line item delivery forecasts.
| JSON representation |
|---|
{ "ignoredLineItems": [ string ] } |
| Fields | |
|---|---|
ignoredLineItems[] |
Optional. The resource names of line items to be ignored while performing the delivery simulation. Format: |
DeliveryForecastResult
The forecast of delivery for a list of [ProposalLineItem][] or LineItem objects to be reserved at the same time.
| JSON representation |
|---|
{
"lineItemDeliveryForecasts": [
{
object ( |
| Fields | |
|---|---|
lineItemDeliveryForecasts[] |
The delivery forecasts of the forecasted line items. |
LineItemDeliveryForecast
The forecasted delivery of a [ProposalLineItem][] or LineItem.
| JSON representation |
|---|
{
"lineItem": string,
"order": string,
"unitType": enum ( |
| Fields | |
|---|---|
lineItem |
Uniquely identifies this line item delivery forecast. This value is read-only and will be either the resource name of the |
order |
The resource name of the |
unitType |
The unit with which the goal or cap of the LineItem is defined. Will be the same value as [Goal.unitType][] for both a set line item or a prospective one. |
predictedDeliveryUnits |
The number of units, defined by [Goal.unitType][], that will be delivered by the line item. Delivery of existing line items that are of same or lower priorities may be impacted. |
deliveredUnits |
The number of units, defined by [Goal.unitType][], that have already been served if the reservation is already running. |
matchedUnits |
The number of units, defined by [Goal.unitType][], that match the specified LineItem#targeting and delivery settings. |